package Klausur;

import java.util.*;

public class Person {

	public void sprich() {

		System.out.println("bin Person.");
	}

	public static void main(String[] args) {
		HashMap<String, Integer> lohn = new HashMap<>();
		lohn.put("Obai", 4000);
		lohn.put("Omar", 222);

		lohn.replaceAll((k, v) -> (int) v + (v * 5 / 100));

	}
}

class Student extends Person {

	@Override
	public void sprich() {
		System.out.println("bin Student.");
	}
}

class Professor extends Person {

	@Override
	public void sprich() {
		System.out.println("bin Professor.");
	}
}